Subject: Re: Gb Ethernet on xilinx gemac IP

From: Xavier Grave <[email-masked]>
Date: Tue, 20 Jun 2006 09:38:51 +0200

I have a 2.6.17 kernel compiling and booting but still have little pb
with initrd attachement...
here is my .config file : you should modify it a little ml300 -> ml400
and modify your xparameters_ml400.h according to the hardware you
difined in xps or ise... You should also modify the kernel argument line
according to what you need root nfs or whatever you use...

xavier
Le mardi 20 juin 2006 à 11:04 +0200, Filippo Capurso - DAVE srl a
écrit :
> Hi Xavier,
> 
> I'm trying to get running linux 2.6.17 on my ML403 board (Virtex-4) but 
> I'm having some trouble with the MMU initialization...
> This my message to the ML:
> 
> http://ozlabs.org/pipermail/linuxppc-embedded/2006-June/023321.html
> 
> Did you have similar problems? Have you any idea that could help me?
> Thank you so much.
> 
> About your question:
> 
> Xavier Grave ha scritto:
> > Hi,
> > 
> > I'm currently running linux with 10/100 MBits xilinx ethernet driver. I
> > have a memec 2VP20 evaluation board.
> > We have bought a PCOM2 module in order to have a Gb PHY. I have
> > implemented an hardware to handle it but whatever linux version I take
> > (2.4 from denx web site, 2.6.17 from kernel.org), I can't configure a Gb
> > ethernet driver. And the 10/100 driver don't configure my Gb PHY...
> > 
> > I have compiled my linux kernel based on the ml300 configuration default
> > config.
> > 
> > Does anyone has an idea ?
> This is a patch for ML403 board, it adds the linux 2.6 driver for TEMAC.
> 
> http://ozlabs.org/pipermail/linuxppc-embedded/2006-March/022365.html
> 
> Hope this helps.
> 
> > 
> > Thanks, xavier
> > 
> > _______________________________________________
> > Linuxppc-embedded mailing list
> > [email-masked]
> > https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> > 
> > 
> 
> Regards,
> 
> Filippo Capurso
>